Subject: Re: [PATCH arm] Use common outgoing-CPU-notification code

From: "Paul E. McKenney" <[email-masked]>
Date: Wed, 26 Jun 2019 10:49:58 -0700

On Wed, Jun 26, 2019 at 05:42:00PM +0100, Mark Rutland wrote:
> On Mon, Jun 17, 2019 at 06:06:57AM -0700, Paul E. McKenney wrote:
> > On Mon, Jun 17, 2019 at 12:58:19PM +0100, Mark Rutland wrote:
> > > On Tue, Jun 11, 2019 at 12:24:10PM -0700, Paul E. McKenney wrote:
> > > > This commit removes the open-coded CPU-offline notification with new
> > > > common code.  In particular, this change avoids calling scheduler code
> > > > using RCU from an offline CPU that RCU is ignoring.  This is a minimal
> > > > change.  A more intrusive change might invoke the cpu_check_up_prepare()
> > > > and cpu_set_state_online() functions at CPU-online time, which would
> > > > allow onlining throw an error if the CPU did not go offline properly.
> > > > 
> > > > Signed-off-by: Paul E. McKenney <[email-masked]>
> > > > Cc: [email-masked]
> > > > Cc: Russell King <[email-masked]>
> > > > Cc: Mark Rutland <[email-masked]>
> > > > Tested-by: Dietmar Eggemann <[email-masked]>
> > > 
> > > FWIW:
> > > 
> > > Acked-by: Mark Rutland <[email-masked]>
> > > 
> > > On the assumption that Russell is ok with this, I think this should be
> > > dropped into the ARM patch system [1].
> > > 
> > > Paul, are you familiar with that, or would you prefer that someone else
> > > submits the patch there? I can do so if you'd like.
> > 
> > I never have used this system, so please do drop it in there!  Let me
> > know when you have done so, and I will then drop it from -rcu.
> 
> After testing that multi_v7_defconfig built, I've just submitted this as
> 8872/1:
> 
>   https://www.armlinux.org.uk/developer/patches/viewpatch.php?id=8872/1

Very good, thank you!  I will drop this from my -rcu tree.

							Thanx, Paul

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel